Page MenuHome

Keymap area in Preferences empty
Closed, ResolvedPublic

Description

System Information
Operating system:
Graphics card:

Blender Version
Broken:
(example: 2.79b release)
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: (optional)

Short description of error

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).

Acer Aspire 3
Windows 10
AMD Radeon Vega Mobile GRaphics

Blender Version 2.8 Candidate 3

Description: The problem I am having is that my keyboard and mouse do not register while in Blender program. They work in every aspect except Blender. I can use the drop down menus in Blender and type in the text boxes but thats it. I tried factory reset, using installer to repair, uninstalling and reinstalling. I also notice while going into preferences, if I go into Keymap, its blank. Their is nothing there.

Event Timeline

  • Is this a problem in recent daily builds or 2.80 release?
  • Could you show a screenshot of what this looks like?
  • Are there any errors reported in the terminal?
Campbell Barton (campbellbarton) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Aug 1 2019, 9:53 AM


This is how it looks when I click the tab. I have the most recent version of Blender. 2.8 worked for awhile and I made a few animations and renders. I had the original Beta 2.8 Blender when it started. The errors that have shown up are as follows; if I try to add an add-on it gives me the error code Traceback and something about Import Enum and others. I tried deleting the userpref file and it works afterward. However, this also gets rid of all my menu bars and what not so this is not an acceptable solution.

We'd need the errors messages from the console too, but that is most likely some kind of corruption of your installation. Please try a clean full-reinstallation, and try launching blender with --factory-startup option too…

I have done a fresh install and have also done the factory startup but it did not fix anything. It still has an empty Keymap Preferences. at this point I have no idea what to do. Thinking back it seems that it happened when I updated my Laptop, I don't know if this would cause an error in the Python Registration. I have been trying all sorts of Blender Forums and they seem to think its that.

This is the error message I receive in the Addon Preferences.

We are missing the whole error message here (please run from a command line, then you'll get everything, and can copy/paste actual text here instead of a screen cap).

Looks like you have a problem with an addon though, one way or the other (trying to register it twice because it's in two different places in your system, or something like that).

This is just a small portion because it was far too long to post.
Switching to fully guarded memory allocator.
Blender 2.80 (sub 75)
Build: 2019-07-29 09:41 AM Windows
argv[0] = blender
argv[1] = --debug
argv[2] = --debug-gpu
argv[3] = --python-expr
argv[4] = import bpy; bpy.ops.wm.sysinfo(filepath=r'C:\Users\ahuls\AppData\Local\Temp\blender\debug_logs\blender_system_info.txt')
Read prefs: C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend

Version 280 sub 50 date 2019-03-18 21:39 hash d47f827019f2

GPUTexture: create : TEXTURE_CUBE_MAP, RGBA16F, w : 2, h : 2, d : 0, comp : 4, size : 0.00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 1, h : 0, d : 0, comp : 4, size : 0.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 1, h : 1, d : 0, comp : 4, size : 0.00 MiB
GPUTexture: create : TEXTURE_3D, RGBA8, w : 1, h : 1, d : 1, comp : 4, size : 0.00 MiB
Using OpenGL 4.3 debug facilities
GL application marker: Successfully hooked OpenGL debug callback.
found bundled python: C:\Program Files (x86)\Blender Foundation\Blender\2.80\python
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
Traceback (most recent call last):

File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 187, in register_module_call
  register()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\startup\bl_operators\__init__.py", line 70, in register
  register_class(cls)

ValueError: register_class(...): already registered as a subclass

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 260, in load_scripts
  test_register(mod)
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 229, in test_register
  register_module_call(mod)
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 189, in register_module_call
  import traceback
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\re.py", line 122, in <module>
  import enum
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\enum.py", line 2, in <module>
  from types import MappingProxyType, DynamicClassAttribute

ImportError: cannot import name 'MappingProxyType' from 'types' (C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py)

location: <unknown location>:-1

location: <unknown location>:-1
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102
Traceback (most recent call last):

File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 187, in register_module_call
  register()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\startup\bl_operators\__init__.py", line 70, in register
  register_class(cls)

ValueError: register_class(...): already registered as a subclass

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "<string>", line 1, in <module>
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 260, in load_scripts
  test_register(mod)
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 229, in test_register
  register_module_call(mod)
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 189, in register_module_call
  import traceback
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\re.py", line 122, in <module>
  import enum
File "C:\Program Files (x86)\Blender Foundation\Blender\2.80\python\lib\enum.py", line 2, in <module>
  from types import MappingProxyType, DynamicClassAttribute

ImportError: cannot import name 'MappingProxyType' from 'types' (C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py)

location: <unknown location>:-1

location: <unknown location>:-1
AL lib: (EE) ALCmmdevPlayback_mixerProc: WaitForSingleObjectEx error: 0x102

WARN (wm.keymap): K:\BlenderGit\blender\source\blender\windowmanager\intern\wm_keymap.c:467 WM_keymap_poll: empty keymap 'Grease Pencil'

WARN (wm.keymap): K:\BlenderGit\blender\source\blender\windowmanager\intern\wm_keymap.c:467 WM_keymap_poll: empty keymap 'Grease Pencil Stroke Edit Mode'

The add-on C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py has a naming collision with Python's types module,

I've adjusted add-on path order so this wont cause an error. although you should remove/rename C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py.

Unfortunately the problem is still persisting, I am in the location you have given me for the types.py and it is not in that location. I had uninstalled and reinstalled one last time after you posted this, I don't know if that undid what you fixed.

Below is the error Log Code if needed.
During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 260, in load_scripts
  test_register(mod)
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 229, in test_register
  register_module_call(mod)
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 189, in register_module_call
  import traceback
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\re.py", line 122, in <module>
  import enum
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\enum.py", line 2, in <module>
  from types import MappingProxyType, DynamicClassAttribute

ImportError: cannot import name 'MappingProxyType' from 'types' (C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py)

location: <unknown location>:-1

location: <unknown location>:-1
Traceback (most recent call last):

File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 187, in register_module_call
  register()
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\startup\bl_operators\__init__.py", line 70, in register
  register_class(cls)

ValueError: register_class(...): already registered as a subclass

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "<string>", line 1, in <module>
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 260, in load_scripts
  test_register(mod)
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 229, in test_register
  register_module_call(mod)
File "C:\Program Files\Blender Foundation\Blender\2.80\scripts\modules\bpy\utils\__init__.py", line 189, in register_module_call
  import traceback
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\re.py", line 122, in <module>
  import enum
File "C:\Program Files\Blender Foundation\Blender\2.80\python\lib\enum.py", line 2, in <module>
  from types import MappingProxyType, DynamicClassAttribute

ImportError: cannot import name 'MappingProxyType' from 'types' (C:\Users\ahuls\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\types.py)

location: <unknown location>:-1

location: <unknown location>:-1
WARN (wm.keymap): K:\BlenderGit\blender\source\blender\windowmanager\intern\wm_keymap.c:467 WM_keymap_poll: empty keymap 'Grease Pencil'
WARN (wm.keymap): K:\BlenderGit\blender\source\blender\windowmanager\intern\wm_keymap.c:467 WM_keymap_poll: empty keymap 'Grease Pencil Stroke Edit Mode'

when following the route from C:\ their is no such folder as AppData. So I have no idea what to do and when I went through Blender Foundation folder in the Program files folder. In the Addons folder their is no such file named types.py

I could only find this. file:/C:/Program%20Files/Blender%20Foundation/Blender/2.80/python/lib/sqlite3/test/types.py but it is in a completely different spot.

Not sure then, I can add types.py It's very confusing that you get an error importing a file you say doesn't exist.

Since rBe8ffe25eb11183bc8a6c1c53e20147b22ed17d2a, Blender now prints the name of the class being registered twice.

Could you try a build in the next day or two and see which class gives the error?

The first error:

ValueError: register_class(...): already registered as a subclass

Will now include a name after it which could help us find out whats going on.

By build do you mean re-downloading Blender completely. I am not a very techy person when it comes to coding so alot of this does not completely make sense to me but I am trying to follow along because I really love Blender and just want it working again.

By build do you mean re-downloading Blender completely. I am not a very techy person when it comes to coding so alot of this does not completely make sense to me but I am trying to follow along because I really love Blender and just want it working again.

re download completely

The build will now be up to date, could you download it and try again?

I have downloaded it and am still experiencing the same issue. The Keymap preference area is empty and I cannot click on anything except menu tabs and no hotkeys work.


This is the full log, I hope this helps in someway, I will continue to look for stuff. I noticed that if I deleted certain files, like the preferences file it got rid of all the menu tabs but allowed me to click objects and use hotkeys. I'm sorry that you are having such a difficult time with my problem.

I also just noticed when I hover over brush options , the words Internal Error appear in bright red.

Campbell Barton (campbellbarton) reopened this task as Open.EditedAug 27 2019, 2:43 PM

This isn't the output from a daily build, because the version is 2.80 not 2.81.

Try a recent build from https://builder.blender.org/download/

Hello, I am so sorry for such a late response. Thank you Campbell Barton I had no idea their was an experimental section. I have downloaded the build 2.81 and it is working perfectly. I do not have any current issues with it.

Thank you Evan Wilson I had no idea they were hidden files and was able to get my computer to reveal all hidden files.

Bastien Montagne (mont29) closed this task as Resolved.Sep 16 2019, 9:50 PM

Thanks for the heads up, I guess we can close that one as solved then.